using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Documents.RichText;
using Infragistics.Documents.RichText.Rtf;
using Infragistics.Documents.RichText.Word;
using System.Diagnostics;
using Microsoft.Win32;
using XRichTextEditor;

namespace RTE_Load_Save
{
    /// <summary>
    /// Interaction logic for SharedUserControl.xaml
    /// </summary>
    public partial class SharedUserControl : UserControl
    {

        private string temporarySerializedContent;
        private string afterEditSerializedContent;

        public SharedUserControl()
        {
            InitializeComponent();
            RTE.ClipboardSerializationProviders.Add(RtfSerializationProvider.Instance);
            //  RTE.ClipboardSerializationProviders.Add(WordSerializationProvider.Instance);
            RTE.ClipboardFormats = "Rich Text Format";
           

            if (string.IsNullOrEmpty(RTE.Document.GetTextInSpan(DocumentSpan.All)))
            {
                //Empty text in the xamRichTextEditor
            }
        }

        private void BtnSave_Click(object sender, RoutedEventArgs e)
        {
            temporarySerializedContent = RichTextDocumentSerializer.Serialize(RTE.Document);
        }

        private void BtnSecondSave_Click(object sender, RoutedEventArgs e)
        {
            afterEditSerializedContent = RichTextDocumentSerializer.Serialize(RTE.Document);
        }

        private void Compare_Click(object sender, RoutedEventArgs e)
        {
            if (String.Equals(temporarySerializedContent,afterEditSerializedContent))
            {
                MessageBox.Show("The files are identical!");
            }
            else
            {
                MessageBox.Show("There are differences in the two files!");
            }
        }

     
    }
}
